<?php

/**
 * Copyright 2014 SURFnet bv
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

namespace Surfnet\StepupMiddleware\CommandHandlingBundle\Command;

/**
 * Marker interface used to indicate that the command may only be invoked by the RA.
 * -
 */
interface RaExecutable
{
    /**
     * Returns the actor institution. This is done to be able to validate if we may execute certain commands for authorization purposes
     *
     * @return string|null
     */
    public function getRaInstitution();
}
